_Message:
;InternalRTC.c,56 :: 		void Message (char arg[])
; arg start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R4, R0
; arg end address is: 0 (R0)
; arg start address is: 16 (R4)
;InternalRTC.c,58 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,59 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,60 :: 		UART2_Write_Text(arg);
MOV	R0, R4
; arg end address is: 16 (R4)
BL	_UART2_Write_Text+0
;InternalRTC.c,61 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,62 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,63 :: 		}
L_end_Message:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Message
_RTC_Init:
;InternalRTC.c,75 :: 		short RTC_Init (unsigned PREDIV_Sync, unsigned short PREDIV_Async, int HR_Format)
; HR_Format start address is: 8 (R2)
; PREDIV_Async start address is: 4 (R1)
; PREDIV_Sync start address is: 0 (R0)
; HR_Format end address is: 8 (R2)
; PREDIV_Async end address is: 4 (R1)
; PREDIV_Sync end address is: 0 (R0)
; PREDIV_Sync start address is: 0 (R0)
; PREDIV_Async start address is: 4 (R1)
; HR_Format start address is: 8 (R2)
;InternalRTC.c,77 :: 		unsigned short   RTC_Wait_ctr = 0;
; RTC_Wait_ctr start address is: 28 (R7)
MOVS	R7, #0
;InternalRTC.c,81 :: 		PWREN_bit = 1;                                                              // PWREN: Power interface clock enable.      (RCC APB1 peripheral clock enable register (RCC_APB1ENR))
MOVS	R6, #1
SXTB	R6, R6
MOVW	R3, #lo_addr(PWREN_bit+0)
MOVT	R3, #hi_addr(PWREN_bit+0)
STR	R6, [R3, #0]
;InternalRTC.c,82 :: 		DBP_bit = 1;                                                                // Access to RTC Backup registers enabled.   (PWR power control register (PWR_CR))
MOVW	R5, #lo_addr(DBP_bit+0)
MOVT	R5, #hi_addr(DBP_bit+0)
STR	R6, [R5, #0]
;InternalRTC.c,83 :: 		RTCSEL1_bit = 0;  RTCSEL0_bit = 1;                                          // RTC Clock MUX select LSE as clock source. (RCC Backup domain control register (RCC_BDCR))
MOVS	R4, #0
SXTB	R4, R4
MOVW	R3, #lo_addr(RTCSEL1_bit+0)
MOVT	R3, #hi_addr(RTCSEL1_bit+0)
STR	R4, [R3, #0]
MOVW	R3, #lo_addr(RTCSEL0_bit+0)
MOVT	R3, #hi_addr(RTCSEL0_bit+0)
STR	R6, [R3, #0]
;InternalRTC.c,84 :: 		LSEBYP_bit = 0;                                                             // LSE oscillator not bypassed.              (RCC Backup domain control register (RCC_BDCR))
MOVW	R3, #lo_addr(LSEBYP_bit+0)
MOVT	R3, #hi_addr(LSEBYP_bit+0)
STR	R4, [R3, #0]
;InternalRTC.c,85 :: 		LSEON_bit = 1;                                                              // External low-speed oscillator enable.     (RCC Backup domain control register (RCC_BDCR))
MOVW	R3, #lo_addr(LSEON_bit+0)
MOVT	R3, #hi_addr(LSEON_bit+0)
STR	R6, [R3, #0]
;InternalRTC.c,86 :: 		RTCEN_bit = 1;                                                              // RTC clock enabled.                        (RCC Backup domain control register (RCC_BDCR))
MOVW	R3, #lo_addr(RTCEN_bit+0)
MOVT	R3, #hi_addr(RTCEN_bit+0)
STR	R6, [R3, #0]
;InternalRTC.c,90 :: 		DBP_bit = 1;                                                                // Access to RTC Backup registers enabled.   (PWR power control register (PWR_CR))
STR	R6, [R5, #0]
;InternalRTC.c,91 :: 		RTC_WPR = 0xCA;
MOVS	R4, #202
MOVW	R3, #lo_addr(RTC_WPR+0)
MOVT	R3, #hi_addr(RTC_WPR+0)
STR	R4, [R3, #0]
;InternalRTC.c,92 :: 		RTC_WPR = 0x53;
MOVS	R4, #83
MOVW	R3, #lo_addr(RTC_WPR+0)
MOVT	R3, #hi_addr(RTC_WPR+0)
STR	R4, [R3, #0]
; PREDIV_Sync end address is: 0 (R0)
; HR_Format end address is: 8 (R2)
; RTC_Wait_ctr end address is: 28 (R7)
; PREDIV_Async end address is: 4 (R1)
UXTH	R5, R0
SXTH	R0, R2
UXTB	R2, R1
UXTB	R1, R7
;InternalRTC.c,95 :: 		while ((LSERDY_bit == 0) && (RTC_Wait_ctr < 150));
L_RTC_Init0:
; RTC_Wait_ctr start address is: 4 (R1)
; RTC_Wait_ctr start address is: 4 (R1)
; RTC_Wait_ctr end address is: 4 (R1)
; HR_Format start address is: 0 (R0)
; PREDIV_Async start address is: 8 (R2)
; PREDIV_Sync start address is: 20 (R5)
MOVW	R4, #lo_addr(LSERDY_bit+0)
MOVT	R4, #hi_addr(LSERDY_bit+0)
LDR	R3, [R4, #0]
CMP	R3, #0
IT	NE
BNE	L__RTC_Init67
; RTC_Wait_ctr end address is: 4 (R1)
; RTC_Wait_ctr start address is: 4 (R1)
CMP	R1, #150
IT	CS
BCS	L__RTC_Init66
L__RTC_Init65:
; RTC_Wait_ctr end address is: 4 (R1)
IT	AL
BAL	L_RTC_Init0
L__RTC_Init67:
L__RTC_Init66:
;InternalRTC.c,97 :: 		delay_us(1);
MOVW	R7, #54
MOVT	R7, #0
NOP
NOP
L_RTC_Init4:
SUBS	R7, R7, #1
BNE	L_RTC_Init4
NOP
NOP
NOP
;InternalRTC.c,104 :: 		RTC_Wait_ctr = 0;
; RTC_Wait_ctr start address is: 4 (R1)
MOVS	R1, #0
;InternalRTC.c,108 :: 		if (INITF_bit == 0)
MOVW	R4, #lo_addr(INITF_bit+0)
MOVT	R4, #hi_addr(INITF_bit+0)
LDR	R3, [R4, #0]
CMP	R3, #0
IT	NE
BNE	L__RTC_Init70
;InternalRTC.c,110 :: 		RTC_ISR.B7 = 1;                                                        //  INIT Enter Initialization mode.                (RTC initialization and status register (RTC_ISR))
MOVS	R4, #1
SXTB	R4, R4
MOVW	R3, #lo_addr(RTC_ISR+0)
MOVT	R3, #hi_addr(RTC_ISR+0)
STR	R4, [R3, #0]
; PREDIV_Sync end address is: 20 (R5)
; PREDIV_Async end address is: 8 (R2)
; RTC_Wait_ctr end address is: 4 (R1)
; HR_Format end address is: 0 (R0)
;InternalRTC.c,111 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L_RTC_Init7:
; RTC_Wait_ctr start address is: 4 (R1)
; PREDIV_Sync start address is: 20 (R5)
; PREDIV_Async start address is: 8 (R2)
; HR_Format start address is: 0 (R0)
MOVW	R4, #lo_addr(INITF_bit+0)
MOVT	R4, #hi_addr(INITF_bit+0)
LDR	R3, [R4, #0]
CMP	R3, #0
IT	NE
BNE	L__RTC_Init69
CMP	R1, #8
IT	CS
BCS	L__RTC_Init68
L__RTC_Init64:
;InternalRTC.c,113 :: 		delay_us(10);                                                      //  to 2 RTCCLK clock cycles (due to clocks synchronization).
MOVW	R7, #558
MOVT	R7, #0
NOP
NOP
L_RTC_Init11:
SUBS	R7, R7, #1
BNE	L_RTC_Init11
NOP
NOP
NOP
;InternalRTC.c,114 :: 		RTC_Wait_ctr++;                                                    //  RTCCLK = 32768 Hz  --> approx 60us delay
ADDS	R1, R1, #1
UXTB	R1, R1
;InternalRTC.c,115 :: 		}                                                                      //  We shall wait 80 us just to make sure ;)
; RTC_Wait_ctr end address is: 4 (R1)
IT	AL
BAL	L_RTC_Init7
;InternalRTC.c,111 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L__RTC_Init69:
L__RTC_Init68:
;InternalRTC.c,117 :: 		if (INITF_bit == 0)
MOVW	R4, #lo_addr(INITF_bit+0)
MOVT	R4, #hi_addr(INITF_bit+0)
LDR	R3, [R4, #0]
CMP	R3, #0
IT	NE
BNE	L_RTC_Init13
; PREDIV_Sync end address is: 20 (R5)
; PREDIV_Async end address is: 8 (R2)
; HR_Format end address is: 0 (R0)
;InternalRTC.c,120 :: 		RTC_ISR.B7 = 0;                                                    // INIT Exit Initialization mode.                (RTC initialization and status register (RTC_ISR))
MOVS	R4, #0
SXTB	R4, R4
MOVW	R3, #lo_addr(RTC_ISR+0)
MOVT	R3, #hi_addr(RTC_ISR+0)
STR	R4, [R3, #0]
;InternalRTC.c,121 :: 		RTC_WPR = 0xFF;                                                    // Enable the write protection for RTC registers
MOVS	R4, #255
MOVW	R3, #lo_addr(RTC_WPR+0)
MOVT	R3, #hi_addr(RTC_WPR+0)
STR	R4, [R3, #0]
;InternalRTC.c,122 :: 		return 0;                                                          // Failed to update RTC registers
MOVS	R0, #0
SXTB	R0, R0
IT	AL
BAL	L_end_RTC_Init
;InternalRTC.c,123 :: 		}
L_RTC_Init13:
;InternalRTC.c,124 :: 		}
; HR_Format start address is: 0 (R0)
; PREDIV_Async start address is: 8 (R2)
; PREDIV_Sync start address is: 20 (R5)
; PREDIV_Async end address is: 8 (R2)
; HR_Format end address is: 0 (R0)
UXTB	R1, R2
UXTH	R2, R5
IT	AL
BAL	L_RTC_Init6
; PREDIV_Sync end address is: 20 (R5)
L__RTC_Init70:
;InternalRTC.c,108 :: 		if (INITF_bit == 0)
UXTB	R1, R2
UXTH	R2, R5
;InternalRTC.c,124 :: 		}
L_RTC_Init6:
;InternalRTC.c,127 :: 		RTC_PRERbits.PREDIV_S = PREDIV_Sync;
; PREDIV_Sync start address is: 8 (R2)
; PREDIV_Async start address is: 4 (R1)
; HR_Format start address is: 0 (R0)
UXTH	R5, R2
; PREDIV_Sync end address is: 8 (R2)
MOVW	R4, #lo_addr(RTC_PRERbits+0)
MOVT	R4, #hi_addr(RTC_PRERbits+0)
LDRH	R3, [R4, #0]
BFI	R3, R5, #0, #15
STRH	R3, [R4, #0]
;InternalRTC.c,128 :: 		RTC_PRERbits.PREDIV_A = PREDIV_Async;
UXTB	R5, R1
; PREDIV_Async end address is: 4 (R1)
MOVW	R4, #lo_addr(RTC_PRERbits+0)
MOVT	R4, #hi_addr(RTC_PRERbits+0)
LDR	R3, [R4, #0]
BFI	R3, R5, #16, #7
STR	R3, [R4, #0]
;InternalRTC.c,131 :: 		FMT_bit = HR_Format;
MOVW	R3, #lo_addr(FMT_bit+0)
MOVT	R3, #hi_addr(FMT_bit+0)
STR	R0, [R3, #0]
; HR_Format end address is: 0 (R0)
;InternalRTC.c,134 :: 		RTC_ISR.B7 = 0;                                                             //     0: Free running mode
MOVS	R4, #0
SXTB	R4, R4
MOVW	R3, #lo_addr(RTC_ISR+0)
MOVT	R3, #hi_addr(RTC_ISR+0)
STR	R4, [R3, #0]
;InternalRTC.c,139 :: 		RTC_WPR = 0xFF;
MOVS	R4, #255
MOVW	R3, #lo_addr(RTC_WPR+0)
MOVT	R3, #hi_addr(RTC_WPR+0)
STR	R4, [R3, #0]
;InternalRTC.c,141 :: 		return 1;
MOVS	R0, #1
SXTB	R0, R0
;InternalRTC.c,142 :: 		}
L_end_RTC_Init:
BX	LR
; end of _RTC_Init
_Calibrate_RTC_Crystal:
;InternalRTC.c,163 :: 		void Calibrate_RTC_Crystal (int Cal_Value)
; Cal_Value start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; Cal_Value end address is: 0 (R0)
; Cal_Value start address is: 0 (R0)
;InternalRTC.c,165 :: 		unsigned long          recalpfcount = 0;
; recalpfcount start address is: 12 (R3)
MOV	R3, #0
;InternalRTC.c,168 :: 		if (RTC_ISR.B16 == 1)
MOVW	R2, #lo_addr(RTC_ISR+0)
MOVT	R2, #hi_addr(RTC_ISR+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	EQ
BEQ	L__Calibrate_RTC_Crystal74
; recalpfcount end address is: 12 (R3)
; Cal_Value end address is: 0 (R0)
;InternalRTC.c,171 :: 		while ((RTC_ISR.B16 == 1) && (recalpfcount < 131072))
L_Calibrate_RTC_Crystal15:
; recalpfcount start address is: 12 (R3)
; Cal_Value start address is: 0 (R0)
MOVW	R2, #lo_addr(RTC_ISR+0)
MOVT	R2, #hi_addr(RTC_ISR+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	EQ
BEQ	L__Calibrate_RTC_Crystal73
CMP	R3, #131072
IT	CS
BCS	L__Calibrate_RTC_Crystal72
L__Calibrate_RTC_Crystal71:
;InternalRTC.c,172 :: 		recalpfcount++;
ADDS	R3, R3, #1
; recalpfcount end address is: 12 (R3)
IT	AL
BAL	L_Calibrate_RTC_Crystal15
;InternalRTC.c,171 :: 		while ((RTC_ISR.B16 == 1) && (recalpfcount < 131072))
L__Calibrate_RTC_Crystal73:
L__Calibrate_RTC_Crystal72:
;InternalRTC.c,173 :: 		}
IT	AL
BAL	L_Calibrate_RTC_Crystal14
; Cal_Value end address is: 0 (R0)
L__Calibrate_RTC_Crystal74:
;InternalRTC.c,168 :: 		if (RTC_ISR.B16 == 1)
;InternalRTC.c,173 :: 		}
L_Calibrate_RTC_Crystal14:
;InternalRTC.c,176 :: 		if (Cal_Value < 0)
; Cal_Value start address is: 0 (R0)
CMP	R0, #0
IT	GE
BGE	L_Calibrate_RTC_Crystal19
;InternalRTC.c,178 :: 		Cal_Value = abs(Cal_Value);
; Cal_Value end address is: 0 (R0)
BL	_abs+0
;InternalRTC.c,179 :: 		Cal_Value = Cal_Value / 2;
ASRS	R1, R0, #1
SXTH	R1, R1
;InternalRTC.c,180 :: 		Cal_Value = Cal_Value & 0x001F;                                        // Only use the bottom 5 bits.
AND	R3, R1, #31
;InternalRTC.c,181 :: 		RTC_CALIBRbits.DCS = 1;                                                // 1: Negative calibration: calendar update frequency is decreased
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(RTC_CALIBRbits+0)
MOVT	R1, #hi_addr(RTC_CALIBRbits+0)
STR	R2, [R1, #0]
;InternalRTC.c,182 :: 		RTC_CALIBRbits.DC  = (short) Cal_Value;                                // DC[4:0]: Digital calibration
UXTB	R3, R3
MOVW	R2, #lo_addr(RTC_CALIBRbits+0)
MOVT	R2, #hi_addr(RTC_CALIBRbits+0)
LDRB	R1, [R2, #0]
BFI	R1, R3, #0, #5
STRB	R1, [R2, #0]
;InternalRTC.c,183 :: 		}
IT	AL
BAL	L_Calibrate_RTC_Crystal20
L_Calibrate_RTC_Crystal19:
;InternalRTC.c,186 :: 		Cal_Value = Cal_Value / 2;
; Cal_Value start address is: 0 (R0)
ASRS	R1, R0, #1
SXTH	R1, R1
; Cal_Value end address is: 0 (R0)
;InternalRTC.c,187 :: 		Cal_Value = Cal_Value & 0x001F;                                        // Only use the bottom 5 bits.
AND	R3, R1, #31
;InternalRTC.c,188 :: 		RTC_CALIBRbits.DCS = 0;                                                // 0: Positive calibration: calendar update frequency is increased
MOVS	R2, #0
SXTB	R2, R2
MOVW	R1, #lo_addr(RTC_CALIBRbits+0)
MOVT	R1, #hi_addr(RTC_CALIBRbits+0)
STR	R2, [R1, #0]
;InternalRTC.c,189 :: 		RTC_CALIBRbits.DC  = (short) Cal_Value;                                // DC[4:0]: Digital calibration
UXTB	R3, R3
MOVW	R2, #lo_addr(RTC_CALIBRbits+0)
MOVT	R2, #hi_addr(RTC_CALIBRbits+0)
LDRB	R1, [R2, #0]
BFI	R1, R3, #0, #5
STRB	R1, [R2, #0]
;InternalRTC.c,190 :: 		}
L_Calibrate_RTC_Crystal20:
;InternalRTC.c,192 :: 		}
L_end_Calibrate_RTC_Crystal:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Calibrate_RTC_Crystal
_RTC_SetTime:
;InternalRTC.c,202 :: 		short RTC_SetTime (RTC_TimeTypeDef *RTC_TimeStruct, int Calibration_Value)
; Calibration_Value start address is: 4 (R1)
; RTC_TimeStruct start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
MOV	R4, R0
; Calibration_Value end address is: 4 (R1)
; RTC_TimeStruct end address is: 0 (R0)
; RTC_TimeStruct start address is: 16 (R4)
; Calibration_Value start address is: 4 (R1)
;InternalRTC.c,205 :: 		unsigned short       RTC_Wait_ctr             = 0;
; RTC_Wait_ctr start address is: 0 (R0)
MOVS	R0, #0
;InternalRTC.c,206 :: 		unsigned long        Temp_Time_Reg            = 0;
;InternalRTC.c,214 :: 		((unsigned long) (RTC_TimeStruct->RTC_Sec_Units)));
ADDS	R2, R4, #6
LDRB	R2, [R2, #0]
LSLS	R3, R2, #22
LDRB	R2, [R4, #0]
LSLS	R2, R2, #20
ORRS	R3, R2
ADDS	R2, R4, #1
LDRB	R2, [R2, #0]
LSLS	R2, R2, #16
ORRS	R3, R2
ADDS	R2, R4, #2
LDRB	R2, [R2, #0]
LSLS	R2, R2, #12
ORRS	R3, R2
ADDS	R2, R4, #3
LDRB	R2, [R2, #0]
LSLS	R2, R2, #8
ORRS	R3, R2
ADDS	R2, R4, #4
LDRB	R2, [R2, #0]
LSLS	R2, R2, #4
ORRS	R3, R2
ADDS	R2, R4, #5
; RTC_TimeStruct end address is: 16 (R4)
LDRB	R2, [R2, #0]
ORR	R4, R3, R2, LSL #0
; Temp_Time_Reg start address is: 16 (R4)
;InternalRTC.c,218 :: 		RTC_WPR = 0xCA;
MOVS	R3, #202
MOVW	R2, #lo_addr(RTC_WPR+0)
MOVT	R2, #hi_addr(RTC_WPR+0)
STR	R3, [R2, #0]
;InternalRTC.c,219 :: 		RTC_WPR = 0x53;
MOVS	R3, #83
MOVW	R2, #lo_addr(RTC_WPR+0)
MOVT	R2, #hi_addr(RTC_WPR+0)
STR	R3, [R2, #0]
;InternalRTC.c,220 :: 		DBP_bit = 1;                                                                // Access to RTC Backup registers enabled.   (PWR power control register (PWR_CR))
MOVS	R3, #1
SXTB	R3, R3
MOVW	R2, #lo_addr(DBP_bit+0)
MOVT	R2, #hi_addr(DBP_bit+0)
STR	R3, [R2, #0]
;InternalRTC.c,223 :: 		if (INITF_bit == 0)   {
MOVW	R3, #lo_addr(INITF_bit+0)
MOVT	R3, #hi_addr(INITF_bit+0)
LDR	R2, [R3, #0]
CMP	R2, #0
IT	NE
BNE	L__RTC_SetTime78
;InternalRTC.c,225 :: 		RTC_ISR.B7 = 1;                                                        // INIT Enter Initialization mode.           (RTC initialization and status register (RTC_ISR))
MOVS	R3, #1
SXTB	R3, R3
MOVW	R2, #lo_addr(RTC_ISR+0)
MOVT	R2, #hi_addr(RTC_ISR+0)
STR	R3, [R2, #0]
; RTC_Wait_ctr end address is: 0 (R0)
; Calibration_Value end address is: 4 (R1)
; Temp_Time_Reg end address is: 16 (R4)
STR	R4, [SP, #4]
UXTB	R4, R0
LDR	R0, [SP, #4]
;InternalRTC.c,227 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L_RTC_SetTime22:
; Temp_Time_Reg start address is: 0 (R0)
; RTC_Wait_ctr start address is: 16 (R4)
; Calibration_Value start address is: 4 (R1)
MOVW	R3, #lo_addr(INITF_bit+0)
MOVT	R3, #hi_addr(INITF_bit+0)
LDR	R2, [R3, #0]
CMP	R2, #0
IT	NE
BNE	L__RTC_SetTime77
CMP	R4, #8
IT	CS
BCS	L__RTC_SetTime76
L__RTC_SetTime75:
;InternalRTC.c,229 :: 		delay_us(10);                                                      //  to 2 RTCCLK clock cycles (due to clocks synchronization).
MOVW	R7, #558
MOVT	R7, #0
NOP
NOP
L_RTC_SetTime26:
SUBS	R7, R7, #1
BNE	L_RTC_SetTime26
NOP
NOP
NOP
;InternalRTC.c,230 :: 		RTC_Wait_ctr++;                                                    //  RTCCLK = 32768 Hz  --> approx 60us delay
ADDS	R4, R4, #1
UXTB	R4, R4
;InternalRTC.c,231 :: 		}                                                                      //  We shall wait 80 us just to make sure ;)
; RTC_Wait_ctr end address is: 16 (R4)
IT	AL
BAL	L_RTC_SetTime22
;InternalRTC.c,227 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L__RTC_SetTime77:
L__RTC_SetTime76:
;InternalRTC.c,233 :: 		if (INITF_bit == 0)
MOVW	R3, #lo_addr(INITF_bit+0)
MOVT	R3, #hi_addr(INITF_bit+0)
LDR	R2, [R3, #0]
CMP	R2, #0
IT	NE
BNE	L_RTC_SetTime28
;InternalRTC.c,235 :: 		Func_Status = 0;                                                   // Failed to update RTC registers
MOVS	R2, #0
SXTB	R2, R2
STRB	R2, [SP, #8]
;InternalRTC.c,236 :: 		}
L_RTC_SetTime28:
;InternalRTC.c,237 :: 		}
MOV	R4, R0
; Temp_Time_Reg end address is: 0 (R0)
; Calibration_Value end address is: 4 (R1)
SXTH	R0, R1
IT	AL
BAL	L_RTC_SetTime21
L__RTC_SetTime78:
;InternalRTC.c,223 :: 		if (INITF_bit == 0)   {
SXTH	R0, R1
;InternalRTC.c,237 :: 		}
L_RTC_SetTime21:
;InternalRTC.c,240 :: 		Calibrate_RTC_Crystal(Calibration_Value);
; Temp_Time_Reg start address is: 16 (R4)
; Calibration_Value start address is: 0 (R0)
; Calibration_Value end address is: 0 (R0)
BL	_Calibrate_RTC_Crystal+0
;InternalRTC.c,243 :: 		RTC_TR = Temp_Time_Reg;
MOVW	R2, #lo_addr(RTC_TR+0)
MOVT	R2, #hi_addr(RTC_TR+0)
STR	R4, [R2, #0]
; Temp_Time_Reg end address is: 16 (R4)
;InternalRTC.c,246 :: 		RTC_ISR.B7 = 0;                                                             //     0: Free running mode
MOVS	R3, #0
SXTB	R3, R3
MOVW	R2, #lo_addr(RTC_ISR+0)
MOVT	R2, #hi_addr(RTC_ISR+0)
STR	R3, [R2, #0]
;InternalRTC.c,251 :: 		RTC_WPR = 0xFF;
MOVS	R3, #255
MOVW	R2, #lo_addr(RTC_WPR+0)
MOVT	R2, #hi_addr(RTC_WPR+0)
STR	R3, [R2, #0]
;InternalRTC.c,253 :: 		return Func_Status;
LDRSB	R0, [SP, #8]
;InternalRTC.c,254 :: 		}
L_end_RTC_SetTime:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _RTC_SetTime
_RTC_SetDate:
;InternalRTC.c,263 :: 		short RTC_SetDate(RTC_DateTypeDef *RTC_DateStruct)
; RTC_DateStruct start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
MOV	R3, R0
; RTC_DateStruct end address is: 0 (R0)
; RTC_DateStruct start address is: 12 (R3)
;InternalRTC.c,266 :: 		unsigned short       RTC_Wait_ctr             = 0;
; RTC_Wait_ctr start address is: 0 (R0)
MOVS	R0, #0
;InternalRTC.c,267 :: 		unsigned long        Temp_Date_Reg            = 0;
;InternalRTC.c,275 :: 		((unsigned long) (RTC_DateStruct->RTC_Date_Units)));
ADDS	R1, R3, #5
LDRB	R1, [R1, #0]
UXTB	R7, R1
LSLS	R7, R7, #20
ADDS	R1, R3, #6
LDRB	R1, [R1, #0]
LSLS	R1, R1, #16
ORRS	R7, R1
LDRB	R1, [R3, #0]
LSLS	R1, R1, #13
ORRS	R7, R1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
LSLS	R1, R1, #12
ORRS	R7, R1
ADDS	R1, R3, #4
LDRB	R1, [R1, #0]
LSLS	R1, R1, #8
ORRS	R7, R1
ADDS	R1, R3, #1
LDRB	R1, [R1, #0]
LSLS	R1, R1, #4
ORRS	R7, R1
ADDS	R1, R3, #2
; RTC_DateStruct end address is: 12 (R3)
LDRB	R1, [R1, #0]
ORRS	R7, R1
;InternalRTC.c,277 :: 		Temp_Date_Reg = Temp_Date_Reg & 0x00FFFFFF;                                 // Ensure top 8 bits are set to 0.
MVN	R1, #-16777216
ANDS	R7, R1
; Temp_Date_Reg start address is: 28 (R7)
;InternalRTC.c,280 :: 		RTC_WPR = 0xCA;
MOVS	R2, #202
MOVW	R1, #lo_addr(RTC_WPR+0)
MOVT	R1, #hi_addr(RTC_WPR+0)
STR	R2, [R1, #0]
;InternalRTC.c,281 :: 		RTC_WPR = 0x53;
MOVS	R2, #83
MOVW	R1, #lo_addr(RTC_WPR+0)
MOVT	R1, #hi_addr(RTC_WPR+0)
STR	R2, [R1, #0]
;InternalRTC.c,282 :: 		DBP_bit = 1;                                                                // Access to RTC Backup registers enabled.   (PWR power control register (PWR_CR))
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(DBP_bit+0)
MOVT	R1, #hi_addr(DBP_bit+0)
STR	R2, [R1, #0]
;InternalRTC.c,285 :: 		if (INITF_bit == 0)   {
MOVW	R2, #lo_addr(INITF_bit+0)
MOVT	R2, #hi_addr(INITF_bit+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	NE
BNE	L__RTC_SetDate82
;InternalRTC.c,287 :: 		RTC_ISR.B7 = 1;                                                        // INIT Enter Initialization mode.           (RTC initialization and status register (RTC_ISR))
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(RTC_ISR+0)
MOVT	R1, #hi_addr(RTC_ISR+0)
STR	R2, [R1, #0]
; Temp_Date_Reg end address is: 28 (R7)
; RTC_Wait_ctr end address is: 0 (R0)
;InternalRTC.c,289 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L_RTC_SetDate30:
; Temp_Date_Reg start address is: 28 (R7)
; RTC_Wait_ctr start address is: 0 (R0)
MOVW	R2, #lo_addr(INITF_bit+0)
MOVT	R2, #hi_addr(INITF_bit+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	NE
BNE	L__RTC_SetDate81
CMP	R0, #8
IT	CS
BCS	L__RTC_SetDate80
L__RTC_SetDate79:
;InternalRTC.c,291 :: 		delay_us(10);                                                      //  to 2 RTCCLK clock cycles (due to clocks synchronization).
STR	R7, [SP, #4]
MOVW	R7, #558
MOVT	R7, #0
NOP
NOP
L_RTC_SetDate34:
SUBS	R7, R7, #1
BNE	L_RTC_SetDate34
NOP
NOP
NOP
LDR	R7, [SP, #4]
;InternalRTC.c,292 :: 		RTC_Wait_ctr++;                                                    //  RTCCLK = 32768 Hz  --> approx 60us delay
ADDS	R0, R0, #1
UXTB	R0, R0
;InternalRTC.c,293 :: 		}                                                                      //  We shall wait 80 us just to make sure ;)
; RTC_Wait_ctr end address is: 0 (R0)
IT	AL
BAL	L_RTC_SetDate30
;InternalRTC.c,289 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L__RTC_SetDate81:
L__RTC_SetDate80:
;InternalRTC.c,295 :: 		if (INITF_bit == 0)
MOVW	R2, #lo_addr(INITF_bit+0)
MOVT	R2, #hi_addr(INITF_bit+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	NE
BNE	L_RTC_SetDate36
;InternalRTC.c,297 :: 		Message("Failed to enter INIT mode.");
MOVW	R1, #lo_addr(?lstr1_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr1_InternalRTC+0)
MOV	R0, R1
BL	_Message+0
;InternalRTC.c,299 :: 		}
L_RTC_SetDate36:
;InternalRTC.c,300 :: 		}
MOV	R0, R7
IT	AL
BAL	L_RTC_SetDate29
; Temp_Date_Reg end address is: 28 (R7)
L__RTC_SetDate82:
;InternalRTC.c,285 :: 		if (INITF_bit == 0)   {
MOV	R0, R7
;InternalRTC.c,300 :: 		}
L_RTC_SetDate29:
;InternalRTC.c,301 :: 		RTC_Wait_ctr = 0;   // Clear counter
; Temp_Date_Reg start address is: 0 (R0)
;InternalRTC.c,304 :: 		RTC_DR = Temp_Date_Reg;
MOVW	R1, #lo_addr(RTC_DR+0)
MOVT	R1, #hi_addr(RTC_DR+0)
STR	R0, [R1, #0]
; Temp_Date_Reg end address is: 0 (R0)
;InternalRTC.c,307 :: 		RTC_ISR.B7 = 0;                                                             //     0: Free running mode
MOVS	R2, #0
SXTB	R2, R2
MOVW	R1, #lo_addr(RTC_ISR+0)
MOVT	R1, #hi_addr(RTC_ISR+0)
STR	R2, [R1, #0]
;InternalRTC.c,312 :: 		RTC_WPR = 0xFF;
MOVS	R2, #255
MOVW	R1, #lo_addr(RTC_WPR+0)
MOVT	R1, #hi_addr(RTC_WPR+0)
STR	R2, [R1, #0]
;InternalRTC.c,314 :: 		}
L_end_RTC_SetDate:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _RTC_SetDate
_RTC_GetSubSeconds:
;InternalRTC.c,324 :: 		unsigned RTC_GetSubSeconds (void)
;InternalRTC.c,330 :: 		Temp_RTC_SSR = RTC_SSR;
MOVW	R0, #lo_addr(RTC_SSR+0)
MOVT	R0, #hi_addr(RTC_SSR+0)
; Temp_RTC_SSR start address is: 8 (R2)
LDR	R2, [R0, #0]
;InternalRTC.c,335 :: 		Temp_RTC_SSR = Temp_RTC_SSR & 0x0000FFFF;
MOVW	R0, #65535
AND	R1, R2, R0, LSL #0
; Temp_RTC_SSR end address is: 8 (R2)
;InternalRTC.c,336 :: 		Temp_float = (1000 * ((float) RTC_PRERbits.PREDIV_S - (float) Temp_RTC_SSR) / ((float) RTC_PRERbits.PREDIV_S + 1));
MOVW	R0, #lo_addr(RTC_PRERbits+0)
MOVT	R0, #hi_addr(RTC_PRERbits+0)
LDRH	R0, [R0, #0]
UBFX	R0, R0, #0, #15
VMOV	S1, R0
VCVT.F32	#0, S1, S1
VMOV	S0, R1
VCVT.F32	#0, S0, S0
VSUB.F32	S1, S1, S0
MOVW	R0, #0
MOVT	R0, #17530
VMOV	S0, R0
VMUL.F32	S2, S0, S1
MOVW	R0, #lo_addr(RTC_PRERbits+0)
MOVT	R0, #hi_addr(RTC_PRERbits+0)
LDRH	R0, [R0, #0]
UBFX	R0, R0, #0, #15
VMOV	S1, R0
VCVT.F32	#0, S1, S1
VMOV.F32	S0, #1
VADD.F32	S0, S1, S0
VDIV.F32	S0, S2, S0
;InternalRTC.c,338 :: 		return (unsigned) Temp_float;
VCVT	#1, .F32, S0, S0
VMOV	R0, S0
UXTH	R0, R0
;InternalRTC.c,339 :: 		}
L_end_RTC_GetSubSeconds:
BX	LR
; end of _RTC_GetSubSeconds
_RTC_GetTime:
;InternalRTC.c,347 :: 		void RTC_GetTime(RTC_TimeTypeDef *RTC_TimeStruct)
; RTC_TimeStruct start address is: 0 (R0)
; RTC_TimeStruct end address is: 0 (R0)
; RTC_TimeStruct start address is: 0 (R0)
;InternalRTC.c,350 :: 		RTC_TimeStruct->RTC_H12         =  (unsigned short) RTC_TRbits.PM;
ADDS	R3, R0, #6
MOVW	R2, #lo_addr(RTC_TRbits+0)
MOVT	R2, #hi_addr(RTC_TRbits+0)
LDR	R1, [R2, #0]
STRB	R1, [R3, #0]
;InternalRTC.c,351 :: 		RTC_TimeStruct->RTC_Hour_Tens   =  (unsigned short) RTC_TRbits.HT;
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDR	R1, [R1, #0]
UBFX	R1, R1, #20, #2
UXTB	R1, R1
STRB	R1, [R0, #0]
;InternalRTC.c,352 :: 		RTC_TimeStruct->RTC_Hour_Units  =  (unsigned short) RTC_TRbits.HU;
ADDS	R2, R0, #1
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDR	R1, [R1, #0]
UBFX	R1, R1, #16, #4
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,353 :: 		RTC_TimeStruct->RTC_Min_Tens    =  (unsigned short) RTC_TRbits.MNT;
ADDS	R2, R0, #2
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDRH	R1, [R1, #0]
UBFX	R1, R1, #12, #3
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,354 :: 		RTC_TimeStruct->RTC_Min_Units   =  (unsigned short) RTC_TRbits.MNU;
ADDS	R2, R0, #3
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDRH	R1, [R1, #0]
UBFX	R1, R1, #8, #4
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,355 :: 		RTC_TimeStruct->RTC_Sec_Tens    =  (unsigned short) RTC_TRbits.ST;
ADDS	R2, R0, #4
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDRB	R1, [R1, #0]
UBFX	R1, R1, #4, #3
STRB	R1, [R2, #0]
;InternalRTC.c,356 :: 		RTC_TimeStruct->RTC_Sec_Units   =  (unsigned short) RTC_TRbits.SU;
ADDS	R2, R0, #5
; RTC_TimeStruct end address is: 0 (R0)
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDRB	R1, [R1, #0]
UBFX	R1, R1, #0, #4
STRB	R1, [R2, #0]
;InternalRTC.c,357 :: 		}
L_end_RTC_GetTime:
BX	LR
; end of _RTC_GetTime
_RTC_GetDate:
;InternalRTC.c,366 :: 		void RTC_GetDate(RTC_DateTypeDef *RTC_DateStruct)
; RTC_DateStruct start address is: 0 (R0)
; RTC_DateStruct end address is: 0 (R0)
; RTC_DateStruct start address is: 0 (R0)
;InternalRTC.c,369 :: 		RTC_DateStruct->RTC_DayofWeek     =  (unsigned short) RTC_DRbits.WDU;
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDRH	R1, [R1, #0]
UBFX	R1, R1, #13, #3
UXTB	R1, R1
STRB	R1, [R0, #0]
;InternalRTC.c,370 :: 		RTC_DateStruct->RTC_Date_Tens     =  (unsigned short) RTC_DRbits.DT;
ADDS	R2, R0, #1
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDRB	R1, [R1, #0]
UBFX	R1, R1, #4, #2
STRB	R1, [R2, #0]
;InternalRTC.c,371 :: 		RTC_DateStruct->RTC_Date_Units    =  (unsigned short) RTC_DRbits.DU;
ADDS	R2, R0, #2
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDRB	R1, [R1, #0]
UBFX	R1, R1, #0, #4
STRB	R1, [R2, #0]
;InternalRTC.c,372 :: 		RTC_DateStruct->RTC_Month_Tens    =  (unsigned short) RTC_DRbits.MT;
ADDS	R3, R0, #3
MOVW	R2, #lo_addr(RTC_DRbits+0)
MOVT	R2, #hi_addr(RTC_DRbits+0)
LDR	R1, [R2, #0]
STRB	R1, [R3, #0]
;InternalRTC.c,373 :: 		RTC_DateStruct->RTC_Month_Units   =  (unsigned short) RTC_DRbits.MU;
ADDS	R2, R0, #4
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDRH	R1, [R1, #0]
UBFX	R1, R1, #8, #4
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,374 :: 		RTC_DateStruct->RTC_Year_Tens     =  (unsigned short) RTC_DRbits.YT;
ADDS	R2, R0, #5
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDR	R1, [R1, #0]
UBFX	R1, R1, #20, #4
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,375 :: 		RTC_DateStruct->RTC_Year_Units    =  (unsigned short) RTC_DRbits.YU;
ADDS	R2, R0, #6
; RTC_DateStruct end address is: 0 (R0)
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDR	R1, [R1, #0]
UBFX	R1, R1, #16, #4
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,376 :: 		}
L_end_RTC_GetDate:
BX	LR
; end of _RTC_GetDate
_RTC_PrintTime:
;InternalRTC.c,385 :: 		void RTC_PrintTime(RTC_TimeTypeDef *RTC_TimeStruct)
; RTC_TimeStruct start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
MOV	R7, R0
; RTC_TimeStruct end address is: 0 (R0)
; RTC_TimeStruct start address is: 28 (R7)
;InternalRTC.c,389 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,390 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,391 :: 		ByteToStr(RTC_TimeStruct->RTC_Hour_Tens, txt);
ADD	R2, SP, #4
STR	R2, [SP, #8]
LDRB	R1, [R7, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,392 :: 		UART2_Write_Text(txt);
ADD	R1, SP, #4
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,393 :: 		ByteToStr(RTC_TimeStruct->RTC_Hour_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #1
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,394 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,395 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,396 :: 		UART2_Write_Text(":");
MOVW	R1, #lo_addr(?lstr2_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr2_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,397 :: 		ByteToStr(RTC_TimeStruct->RTC_Min_Tens, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #2
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,398 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,399 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,400 :: 		ByteToStr(RTC_TimeStruct->RTC_Min_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #3
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,401 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,402 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,403 :: 		UART2_Write_Text(":");
MOVW	R1, #lo_addr(?lstr3_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr3_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,404 :: 		ByteToStr(RTC_TimeStruct->RTC_Sec_Tens, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #4
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,405 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,406 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,407 :: 		ByteToStr(RTC_TimeStruct->RTC_Sec_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #5
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,408 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,409 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,411 :: 		if (RTC_TimeStruct->RTC_H12)
ADDS	R1, R7, #6
; RTC_TimeStruct end address is: 28 (R7)
LDRB	R1, [R1, #0]
CMP	R1, #0
IT	EQ
BEQ	L_RTC_PrintTime37
;InternalRTC.c,412 :: 		UART2_Write_Text(" pm");
MOVW	R1, #lo_addr(?lstr4_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr4_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintTime38
L_RTC_PrintTime37:
;InternalRTC.c,414 :: 		UART2_Write_Text(" am");
MOVW	R1, #lo_addr(?lstr5_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr5_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
L_RTC_PrintTime38:
;InternalRTC.c,416 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,417 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,418 :: 		}
L_end_RTC_PrintTime:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _RTC_PrintTime
_RTC_PrintDate:
;InternalRTC.c,427 :: 		void RTC_PrintDate(RTC_DateTypeDef *RTC_DateStruct)
; RTC_DateStruct start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
MOV	R7, R0
; RTC_DateStruct end address is: 0 (R0)
; RTC_DateStruct start address is: 28 (R7)
;InternalRTC.c,432 :: 		Temp_Day = RTC_DateStruct->RTC_DayofWeek;
LDRB	R1, [R7, #0]
; Temp_Day start address is: 16 (R4)
UXTB	R4, R1
;InternalRTC.c,434 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,435 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,437 :: 		switch (Temp_Day)  {
IT	AL
BAL	L_RTC_PrintDate39
; Temp_Day end address is: 16 (R4)
;InternalRTC.c,438 :: 		case 1 : UART2_Write_Text("  Mon");  break;
L_RTC_PrintDate41:
MOVW	R1, #lo_addr(?lstr6_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr6_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate40
;InternalRTC.c,439 :: 		case 2 : UART2_Write_Text("  Tue");  break;
L_RTC_PrintDate42:
MOVW	R1, #lo_addr(?lstr7_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr7_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate40
;InternalRTC.c,440 :: 		case 3 : UART2_Write_Text("  Wed");  break;
L_RTC_PrintDate43:
MOVW	R1, #lo_addr(?lstr8_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr8_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate40
;InternalRTC.c,441 :: 		case 4 : UART2_Write_Text("  Thu");  break;
L_RTC_PrintDate44:
MOVW	R1, #lo_addr(?lstr9_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr9_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate40
;InternalRTC.c,442 :: 		case 5 : UART2_Write_Text("  Fri");  break;
L_RTC_PrintDate45:
MOVW	R1, #lo_addr(?lstr10_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr10_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate40
;InternalRTC.c,443 :: 		case 6 : UART2_Write_Text("  Sat");  break;
L_RTC_PrintDate46:
MOVW	R1, #lo_addr(?lstr11_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr11_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate40
;InternalRTC.c,444 :: 		case 7 : UART2_Write_Text("  Sun");  break;
L_RTC_PrintDate47:
MOVW	R1, #lo_addr(?lstr12_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr12_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate40
;InternalRTC.c,445 :: 		}
L_RTC_PrintDate39:
; Temp_Day start address is: 16 (R4)
CMP	R4, #1
IT	EQ
BEQ	L_RTC_PrintDate41
CMP	R4, #2
IT	EQ
BEQ	L_RTC_PrintDate42
CMP	R4, #3
IT	EQ
BEQ	L_RTC_PrintDate43
CMP	R4, #4
IT	EQ
BEQ	L_RTC_PrintDate44
CMP	R4, #5
IT	EQ
BEQ	L_RTC_PrintDate45
CMP	R4, #6
IT	EQ
BEQ	L_RTC_PrintDate46
CMP	R4, #7
IT	EQ
BEQ	L_RTC_PrintDate47
; Temp_Day end address is: 16 (R4)
L_RTC_PrintDate40:
;InternalRTC.c,447 :: 		ByteToStr(RTC_DateStruct->RTC_Date_Tens, txt);
ADD	R2, SP, #4
STR	R2, [SP, #8]
ADDS	R1, R7, #1
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,448 :: 		UART2_Write_Text(txt);
ADD	R1, SP, #4
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,449 :: 		ByteToStr(RTC_DateStruct->RTC_Date_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #2
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,450 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,451 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,452 :: 		UART2_Write_Text("/");
MOVW	R1, #lo_addr(?lstr13_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr13_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,453 :: 		ByteToStr(RTC_DateStruct->RTC_Month_Tens, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #3
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,454 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,455 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,456 :: 		ByteToStr(RTC_DateStruct->RTC_Month_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #4
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,457 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,458 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,459 :: 		UART2_Write_Text("/");
MOVW	R1, #lo_addr(?lstr14_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr14_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,460 :: 		ByteToStr(RTC_DateStruct->RTC_Year_Tens, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #5
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,461 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,462 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,463 :: 		ByteToStr(RTC_DateStruct->RTC_Year_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #6
; RTC_DateStruct end address is: 28 (R7)
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,464 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,465 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,467 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,468 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,469 :: 		}
L_end_RTC_PrintDate:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _RTC_PrintDate
_Print_Sub_Secs:
;InternalRTC.c,478 :: 		void Print_Sub_Secs (unsigned Value)
; Value start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; Value end address is: 0 (R0)
; Value start address is: 0 (R0)
;InternalRTC.c,481 :: 		WordToStr(Value, txt);
ADD	R1, SP, #4
; Value end address is: 0 (R0)
BL	_WordToStr+0
;InternalRTC.c,482 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,483 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,484 :: 		UART2_Write_Text(txt);
ADD	R1, SP, #4
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,485 :: 		UART2_Write_Text("  ms");
MOVW	R1, #lo_addr(?lstr15_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr15_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,486 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,487 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,488 :: 		}
L_end_Print_Sub_Secs:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _Print_Sub_Secs
_main:
;InternalRTC.c,494 :: 		void main()
SUB	SP, SP, #28
;InternalRTC.c,503 :: 		GPIO_Alternate_Function_Enable(&_GPIO_MODULE_USART2_PD56);
MOVW	R0, #lo_addr(__GPIO_MODULE_USART2_PD56+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_USART2_PD56+0)
BL	_GPIO_Alternate_Function_Enable+0
;InternalRTC.c,504 :: 		UART2_Init(56000);                                                          // Initialize UART module at 56000 bps
MOVW	R0, #56000
BL	_UART2_Init+0
;InternalRTC.c,505 :: 		Delay_ms(200);
MOVW	R7, #58878
MOVT	R7, #170
NOP
NOP
L_main48:
SUBS	R7, R7, #1
BNE	L_main48
NOP
NOP
NOP
;InternalRTC.c,507 :: 		Message("Program Start.");
MOVW	R0, #lo_addr(?lstr16_InternalRTC+0)
MOVT	R0, #hi_addr(?lstr16_InternalRTC+0)
BL	_Message+0
;InternalRTC.c,508 :: 		Delay_ms(2000);
MOVW	R7, #64510
MOVT	R7, #1708
NOP
NOP
L_main50:
SUBS	R7, R7, #1
BNE	L_main50
NOP
NOP
NOP
;InternalRTC.c,511 :: 		My_Date.RTC_DayofWeek     = 5;
MOVS	R0, #5
STRB	R0, [SP, #14]
;InternalRTC.c,512 :: 		My_Date.RTC_Date_Tens     = 3;
MOVS	R0, #3
STRB	R0, [SP, #15]
;InternalRTC.c,513 :: 		My_Date.RTC_Date_Units    = 1;
MOVS	R0, #1
STRB	R0, [SP, #16]
;InternalRTC.c,514 :: 		My_Date.RTC_Month_Tens    = 1;
MOVS	R0, #1
STRB	R0, [SP, #17]
;InternalRTC.c,515 :: 		My_Date.RTC_Month_Units   = 2;
MOVS	R0, #2
STRB	R0, [SP, #18]
;InternalRTC.c,516 :: 		My_Date.RTC_Year_Tens     = 1;
MOVS	R0, #1
STRB	R0, [SP, #19]
;InternalRTC.c,517 :: 		My_Date.RTC_Year_Units    = 5;
MOVS	R0, #5
STRB	R0, [SP, #20]
;InternalRTC.c,521 :: 		My_Time.RTC_Hour_Tens     = 0;
MOVS	R0, #0
STRB	R0, [SP, #0]
;InternalRTC.c,522 :: 		My_Time.RTC_Hour_Units    = 9;
MOVS	R0, #9
STRB	R0, [SP, #1]
;InternalRTC.c,523 :: 		My_Time.RTC_Min_Tens      = 5;
MOVS	R0, #5
STRB	R0, [SP, #2]
;InternalRTC.c,524 :: 		My_Time.RTC_Min_Units     = 9;
MOVS	R0, #9
STRB	R0, [SP, #3]
;InternalRTC.c,525 :: 		My_Time.RTC_Sec_Tens      = 3;
MOVS	R0, #3
STRB	R0, [SP, #4]
;InternalRTC.c,526 :: 		My_Time.RTC_Sec_Units     = 0;
MOVS	R0, #0
STRB	R0, [SP, #5]
;InternalRTC.c,527 :: 		My_Time.RTC_H12           = 1;
MOVS	R0, #1
STRB	R0, [SP, #6]
;InternalRTC.c,530 :: 		if (RTC_Init(255, 127, 1))
MOVS	R2, #1
SXTH	R2, R2
MOVS	R1, #127
MOVS	R0, #255
BL	_RTC_Init+0
CMP	R0, #0
IT	EQ
BEQ	L_main52
;InternalRTC.c,531 :: 		Message("RTC Initialise SUCCESS...");
MOVW	R0, #lo_addr(?lstr17_InternalRTC+0)
MOVT	R0, #hi_addr(?lstr17_InternalRTC+0)
BL	_Message+0
IT	AL
BAL	L_main53
L_main52:
;InternalRTC.c,533 :: 		Message("RTC Initialise FAILED...");
MOVW	R0, #lo_addr(?lstr18_InternalRTC+0)
MOVT	R0, #hi_addr(?lstr18_InternalRTC+0)
BL	_Message+0
L_main53:
;InternalRTC.c,534 :: 		Delay_ms(2000);
MOVW	R7, #64510
MOVT	R7, #1708
NOP
NOP
L_main54:
SUBS	R7, R7, #1
BNE	L_main54
NOP
NOP
NOP
;InternalRTC.c,537 :: 		if (RTC_SetTime(&My_Time, -37))
ADD	R0, SP, #0
MOVW	R1, #65499
SXTH	R1, R1
BL	_RTC_SetTime+0
CMP	R0, #0
IT	EQ
BEQ	L_main56
;InternalRTC.c,538 :: 		Message("Time Set SUCCESS...");
MOVW	R0, #lo_addr(?lstr19_InternalRTC+0)
MOVT	R0, #hi_addr(?lstr19_InternalRTC+0)
BL	_Message+0
IT	AL
BAL	L_main57
L_main56:
;InternalRTC.c,540 :: 		Message("Time Set FAILED...");
MOVW	R0, #lo_addr(?lstr20_InternalRTC+0)
MOVT	R0, #hi_addr(?lstr20_InternalRTC+0)
BL	_Message+0
L_main57:
;InternalRTC.c,541 :: 		Delay_ms(2000);
MOVW	R7, #64510
MOVT	R7, #1708
NOP
NOP
L_main58:
SUBS	R7, R7, #1
BNE	L_main58
NOP
NOP
NOP
;InternalRTC.c,544 :: 		RTC_SetDate(&My_Date);
ADD	R0, SP, #14
BL	_RTC_SetDate+0
;InternalRTC.c,547 :: 		while(1)
L_main60:
;InternalRTC.c,549 :: 		RTC_GetDate(&Read_Date);
ADD	R0, SP, #21
BL	_RTC_GetDate+0
;InternalRTC.c,550 :: 		RTC_PrintDate(&Read_Date);
ADD	R0, SP, #21
BL	_RTC_PrintDate+0
;InternalRTC.c,552 :: 		RTC_GetTime(&Read_Time);
ADD	R0, SP, #7
BL	_RTC_GetTime+0
;InternalRTC.c,553 :: 		RTC_PrintTime(&Read_Time);
ADD	R0, SP, #7
BL	_RTC_PrintTime+0
;InternalRTC.c,555 :: 		Print_Sub_Secs( RTC_GetSubSeconds() );
BL	_RTC_GetSubSeconds+0
BL	_Print_Sub_Secs+0
;InternalRTC.c,557 :: 		Delay_ms(5012);
MOVW	R7, #46846
MOVT	R7, #4282
NOP
NOP
L_main62:
SUBS	R7, R7, #1
BNE	L_main62
NOP
NOP
NOP
;InternalRTC.c,558 :: 		}
IT	AL
BAL	L_main60
;InternalRTC.c,560 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
